Subject: Re: Old regression with MTD devices disappearing from a Kurobox HD/HG

From: Scott Wood <[email-masked]>
Date: Tue, 7 Apr 2015 19:02:12 -0500

On Tue, 2015-04-07 at 20:58 -0300, Rogério Brito wrote:
> Dear Scott.
> 
> First of all, thank you so very much for your reply.
> 
> On Apr 07 2015, Scott Wood wrote:
> > On Sat, 2015-04-04 at 02:40 -0300, Rogério Brito wrote:
> > > ,----
> > > | physmap platform flash device: 00400000 at ffc00000
> > > | physmap-flash.0: Found 1 x16 devices at 0x0 in 8-bit bank. Manufacturer ID 0x000004 Chip ID 0x00007e
> > > | Amd/Fujitsu Extended Query Table at 0x0040
> > > |   Amd/Fujitsu Extended Query version 1.3.
> > > | physmap-flash.0: Swapping erase regions for top-boot CFI table.
> > > | number of CFI chips: 1
> > > `----
> > > 
> > > I note that arch/powerpc/boot/dts/kuroboxH{D,G}.dts have, as one of their
> > > first lines, the following comment: [0][1]
> > > 
> > >     XXXX add flash parts, rtc, ??
> > > 
> > > [0]: http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/arch/powerpc/boot/dts/kuroboxHD.dts?id=1cced5015b171415169d938fb179c44fe060dc15#n17
> > > [1]: http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/arch/powerpc/boot/dts/kuroboxHG.dts?id=1cced5015b171415169d938fb179c44fe060dc15#n17
> > > 
> > > Is this a problem that can be fixed via additions to the DTS files?  Or
> > > would the problem be solved in a different way?
> > 
> > What are your bootargs?
> 
> My kernel command line is (specified via uboot) is the following:
> 
> ,----
> | root=/dev/sda1 netconsole=[email-masked]/,@192.168.11.149/ rtc-rs5c372.probe=0,0x32
> `----
> 
> Only that.
> 
> > I suggest putting the flash device into the dts (instead of using
> > physmap), and specifying the partitions on the command-line using
> > mtdparts.
> 
> This is good to know. Is there any reasonable dts that I can copy/adapt?

I'm not familiar with how flash is connected on this chip, so I don't
have a specific recommendation other than to read the binding and look
at several examples.

>  I just started to read on the syntax of the dts files and I am still
> not confident that I can write my own without messing everything.
> 
> Another question: would putting the description of the flash device into the
> dts file be helpful to remove any code from the kernel?

If you currently have a custom flash map driver, you could get rid of
that, but I suspect that's already gone away due to the fact that it's
no longer working.

-Scott